cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/duplicate \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"viewId":"string","anchorId":"string","position":"before"}'{
"records": [
{
"id": "recXXXXXXX",
"fields": {
"single line text": "text value"
}
}
]
}record
Duplicate record
Create a copy of an existing record with optional custom positioning in the view.
POST
/
table
/
{tableId}
/
record
/
{recordId}
/
duplicate
cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/duplicate \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"viewId":"string","anchorId":"string","position":"before"}'{
"records": [
{
"id": "recXXXXXXX",
"fields": {
"single line text": "text value"
}
}
]
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
201 - application/json
Successful duplicate
Array of record objects
Show child attributes
Show child attributes
示例:
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

